Subject: Re: some problems on the SystemACE driver.

From: Ameet Patil <[email-masked]>
Date: Fri, 14 Jul 2006 17:57:35 +0100

Hi Ming,

> I tried the new patches in such a procedure: download the kernel, apply 
> the five Temac patches, apply the patch 
> linuxppc-2.6.17.1-sysace-1.2-after-TEMAC.patch, copy and replace 
> xparameters_ml403.h and use the one generated by EDK (I don't know if 
> this is right. But there is really no modification in your patch for the 
> ml403 xparameters file.). Then make menuconfig, make dep and make 
> zImage. Still the same problem as former.
Yes! This procedure is correct. But you still get errors? hmmm... The
log file you sent is too long with mostly unnecessary stuffs. A normal
log "make zImage" without verbose output will suffice. Please can you
send me the new log?

> Is there any problem in the sequence according to which I applied the 
> patches? Or other problems? But why the problem still happened? If I 
> made a wrong operation, please forgive me because I am a novice. That's 
> why I would like to describe the procedure as detailed as possible. 

I appreciate you testing the patch. Don't worry... we will solve it. And
I am not an expert either... you probably know more than me!

-Ameet

>  
> 
> 
>> From: Ameet Patil <[email-masked]>
>> To: Ming Liu <[email-masked]>
>> CC: [email-masked]
>> Subject: Re: some problems on the SystemACE driver.
>> Date: Fri, 14 Jul 2006 16:10:54 +0100
>>
>> Ming,
>>   Had a look, both patches define the XILINX_OCP functions which is
>> unavoidable really. I have made some changes only so that it works in
>> your scenario. First apply the TEMAC patch and then this one:
>> https://www.cs.york.ac.uk/rtslab/demos/amos/xupv2pro/patches/linuxppc-2.6.17.1-sysace-1.2-after-TEMAC.patch 
>>
> 
>>
>> Also, I have also made some new changes to the SysAce driver patch. New
>> version is here:
>> https://www.cs.york.ac.uk/rtslab/demos/amos/xupv2pro/patches/linuxppc-2.6.17.1-sysace-1.2.patch 
>>
> 
>>
>> No, you donot need to apply all the patches found in my patches folder.
>>
>> Let me know what happens? I think it should work....
>>
>> -Ameet
>>
>> Ming Liu wrote:
>> > Dear Ameet,
>> > The attached is the log file to record the error. Please unzip and
>> > search for "XAssert" to go to the end to see the problem. Also, the
>> > .config file is attached. Please rename the file from config into
>> > .config. The linux version is 2.6.17.1. When you compile the kernel,
>> > please remember to export C_INCLUDE_PATH=....../driver/xilinx_edk.
>> > Thanks for your work.
>> >
>> > Regards
>> > Ming
>> >
>> >
>> >> From: Ameet Patil <[email-masked]>
>> >> To: Ming Liu <[email-masked]>
>> >> CC: [email-masked]
>> >> Subject: Re: some problems on the SystemACE driver.
>> >> Date: Fri, 14 Jul 2006 12:12:36 +0100
>> >>
>> >> Hi Ming,
>> >>    Can you send me the entire text output (in a file) of the 
> compilation
>> >> process with errors?
>> >>
>> >> -Ameet
>> >>
>> >> Ming Liu wrote:
>> >> > Dear Ameet,
>> >> >
>> >> >> 1. Which TEMAC patch are you using?
>> >> >>
>> > 
> (http://source.mvista.com/~ank/paulus-powerpc/20060309/ppc32_xilinx_edk_temac.patch) 
> 
> 
>> >
>> >
>> >> >>
>> >> >
>> >> > There are five patches in the directory 20060309 whose address is
>> > listed
>> >> > above by you. I applied all of them in my system, because without 
> any
>> >> > there will be problems.
>> >> >> 2. After applying the patch, is the driver getting compiled 
> directly
>> >> >> without having to select it via "make menuconfig"?
>> >> > No. there is an option named "xilinx 10/100/1000 Mbit TEMAC support" 
> in
>> >> > the menuconfig. I must select it and then compile the kernel.
>> >> >> 3. I don't see a Makefile in the drivers/net/xilinx_temac/ folder?
>> >> > I have checked. In my kernel, there is the Makefile. I don't know 
> why
>> >> > this happened to you.
>> >> >
>> >> > Let me describe the detailed process I did. First, download the 
> kernel
>> >> > 2.6.17.1 (or 2.6.16-rc5). Then apply the five patches for Temac.(If 
> I
>> >> > use 2.6.17.1, I need to upgrade some files manually. For 2.6.16, 
> there
>> >> > is no problem.) And then apply the patch for SystemACE. Also copy 
> and
>> >> > replace the xparameters_ml403.h by my own file generated by EDK. 
> Then
>> >> > make menuconfig, selecting both Temac and SystemACE and other basic
>> >> > options. Then make dep and make zImage. During this process, I need 
> to
>> >> > modify some little problems which are about the inclusion of some
>> > header
>> >> > files, or specify some lib inclusion directories instead. Then that
>> >> > problem appears. There are some main points: 1. configured for ml403
>> >> > board. 2.both Temac and SystemACE are selected. 3. 5 patches for 
> Temac
>> >> > and 1 patch for SystemACE. 4. linux version is 2.6.17 or 2.6.16. I
>> >> > really have no idea why this still happens after your modification. 
> So
>> > I
>> >> > have to ask you again.
>> >> >> Ofcourse, I can work my way to compile the driver. But is there any
>> > doc.
>> >> >> present explaining this?
>> >> > Sorry that there is no doc to explain this. I just did following the
>> >> > procedure described above. I am totally lost. The strange thing is,
>> > when
>> >> > I select only one of these two drivers, no problem, but if both,
>> > problem.
>> >> > By the way, I noticed that in the address where I get your patch, 
> there
>> >> > is also a patch called linuxppc-2.6.17.1-sysace-1.0.patch which is 
> much
>> >> > larger than the 1.1 one. I needn't apply the 1.0 one, right?
>> >> > Thanks for your hard work. Hopefully we can solve the problem.
>> >> > Regards
>> >> > Ming
>> >> >
>> >> > _________________________________________________________________
>> >> > 免费下载 MSN Explorer:   http://explorer.msn.com/lccn
>> >> >
>> >
>> > _________________________________________________________________
>> > 免费下载 MSN Explorer:   http://explorer.msn.com/lccn  #
>> > # Automatically generated make config: don't edit
>> > # Linux kernel version: 2.6.17.1
>> > # Fri Jul 14 15:00:57 2006
>> > #
>> > CONFIG_MMU=y
>> > CONFIG_GENERIC_HARDIRQS=y
>> > CONFIG_RWSEM_XCHGADD_ALGORITHM=y
>> > CONFIG_GENERIC_HWEIGHT=y
>> > CONFIG_GENERIC_CALIBRATE_DELAY=y
>> > CONFIG_PPC=y
>> > CONFIG_PPC32=y
>> > CONFIG_GENERIC_NVRAM=y
>> > CONFIG_SCHED_NO_NO_OMIT_FRAME_POINTER=y
>> > CONFIG_ARCH_MAY_HAVE_PC_FDC=y
>> >
>> > #
>> > # Code maturity level options
>> > #
>> > CONFIG_EXPERIMENTAL=y
>> > CONFIG_BROKEN_ON_SMP=y
>> > CONFIG_INIT_ENV_ARG_LIMIT=32
>> >
>> > #
>> > # General setup
>> > #
>> > CONFIG_LOCALVERSION=""
>> > CONFIG_LOCALVERSION_AUTO=y
>> > CONFIG_SWAP=y
>> > CONFIG_SYSVIPC=y
>> > # CONFIG_POSIX_MQUEUE is not set
>> > # CONFIG_BSD_PROCESS_ACCT is not set
>> > CONFIG_SYSCTL=y
>> > # CONFIG_AUDIT is not set
>> > # CONFIG_IKCONFIG is not set
>> > # CONFIG_RELAY is not set
>> > CONFIG_INITRAMFS_SOURCE=""
>> > CONFIG_CC_OPTIMIZE_FOR_SIZE=y
>> > # CONFIG_EMBEDDED is not set
>> > CONFIG_KALLSYMS=y
>> > # CONFIG_KALLSYMS_ALL is not set
>> > # CONFIG_KALLSYMS_EXTRA_PASS is not set
>> > CONFIG_HOTPLUG=y
>> > CONFIG_PRINTK=y
>> > CONFIG_BUG=y
>> > CONFIG_ELF_CORE=y
>> > CONFIG_BASE_FULL=y
>> > CONFIG_FUTEX=y
>> > CONFIG_EPOLL=y
>> > CONFIG_SHMEM=y
>> > CONFIG_SLAB=y
>> > # CONFIG_TINY_SHMEM is not set
>> > CONFIG_BASE_SMALL=0
>> > # CONFIG_SLOB is not set
>> > CONFIG_OBSOLETE_INTERMODULE=y
>> >
>> > #
>> > # Loadable module support
>> > #
>> > # CONFIG_MODULES is not set
>> >
>> > #
>> > # Block layer
>> > #
>> > # CONFIG_LBD is not set
>> > # CONFIG_BLK_DEV_IO_TRACE is not set
>> > # CONFIG_LSF is not set
>> >
>> > #
>> > # IO Schedulers
>> > #
>> > CONFIG_IOSCHED_NOOP=y
>> > CONFIG_IOSCHED_AS=y
>> > CONFIG_IOSCHED_DEADLINE=y
>> > CONFIG_IOSCHED_CFQ=y
>> > CONFIG_DEFAULT_AS=y
>> > # CONFIG_DEFAULT_DEADLINE is not set
>> > # CONFIG_DEFAULT_CFQ is not set
>> > # CONFIG_DEFAULT_NOOP is not set
>> > CONFIG_DEFAULT_IOSCHED="anticipatory"
>> >
>> > #
>> > # Processor
>> > #
>> > # CONFIG_6xx is not set
>> > CONFIG_40x=y
>> > # CONFIG_44x is not set
>> > # CONFIG_8xx is not set
>> > # CONFIG_E200 is not set
>> > # CONFIG_E500 is not set
>> > CONFIG_MATH_EMULATION=y
>> > # CONFIG_KEXEC is not set
>> > # CONFIG_CPU_FREQ is not set
>> > CONFIG_4xx=y
>> > # CONFIG_WANT_EARLY_SERIAL is not set
>> >
>> > #
>> > # IBM 4xx options
>> > #
>> > # CONFIG_BUBINGA is not set
>> > # CONFIG_CPCI405 is not set
>> > # CONFIG_EP405 is not set
>> > # CONFIG_REDWOOD_5 is not set
>> > # CONFIG_REDWOOD_6 is not set
>> > # CONFIG_SYCAMORE is not set
>> > # CONFIG_WALNUT is not set
>> > # CONFIG_XILINX_ML300 is not set
>> > CONFIG_XILINX_ML403=y
>> > CONFIG_IBM405_ERR77=y
>> > CONFIG_IBM405_ERR51=y
>> > CONFIG_XILINX_VIRTEX_4_FX=y
>> > CONFIG_XILINX_VIRTEX=y
>> > CONFIG_EMBEDDEDBOOT=y
>> > # CONFIG_PPC4xx_DMA is not set
>> > CONFIG_PPC_GEN550=y
>> > CONFIG_UART0_TTYS0=y
>> > # CONFIG_UART0_TTYS1 is not set
>> > CONFIG_NOT_COHERENT_CACHE=y
>> >
>> > #
>> > # Platform options
>> > #
>> > # CONFIG_PC_KEYBOARD is not set
>> > # CONFIG_HIGHMEM is not set
>> > # CONFIG_HZ_100 is not set
>> > CONFIG_HZ_250=y
>> > # CONFIG_HZ_1000 is not set
>> > CONFIG_HZ=250
>> > CONFIG_PREEMPT_NONE=y
>> > # CONFIG_PREEMPT_VOLUNTARY is not set
>> > # CONFIG_PREEMPT is not set
>> > CONFIG_SELECT_MEMORY_MODEL=y
>> > CONFIG_FLATMEM_MANUAL=y
>> > # CONFIG_DISCONTIGMEM_MANUAL is not set
>> > # CONFIG_SPARSEMEM_MANUAL is not set
>> > CONFIG_FLATMEM=y
>> > CONFIG_FLAT_NODE_MEM_MAP=y
>> > # CONFIG_SPARSEMEM_STATIC is not set
>> > CONFIG_SPLIT_PTLOCK_CPUS=4
>> > CONFIG_BINFMT_ELF=y
>> > # CONFIG_BINFMT_MISC is not set
>> > CONFIG_CMDLINE_BOOL=y
>> > CONFIG_CMDLINE="console=ttyS0,9600 root=/dev/xsa3 rw"
>> > # CONFIG_PM is not set
>> > # CONFIG_SOFTWARE_SUSPEND is not set
>> > CONFIG_SECCOMP=y
>> > CONFIG_ISA_DMA_API=y
>> >
>> > #
>> > # Bus options
>> > #
>> > # CONFIG_PPC_I8259 is not set
>> > # CONFIG_PCI is not set
>> > # CONFIG_PCI_DOMAINS is not set
>> >
>> > #
>> > # PCCARD (PCMCIA/CardBus) support
>> > #
>> > # CONFIG_PCCARD is not set
>> >
>> > #
>> > # Advanced setup
>> > #
>> > # CONFIG_ADVANCED_OPTIONS is not set
>> >
>> > #
>> > # Default settings for advanced configuration options are used
>> > #
>> > CONFIG_HIGHMEM_START=0xfe000000
>> > CONFIG_LOWMEM_SIZE=0x30000000
>> > CONFIG_KERNEL_START=0xc0000000
>> > CONFIG_TASK_SIZE=0x80000000
>> > CONFIG_CONSISTENT_START=0xff100000
>> > CONFIG_CONSISTENT_SIZE=0x00200000
>> > CONFIG_BOOT_LOAD=0x00400000
>> >
>> > #
>> > # Networking
>> > #
>> > CONFIG_NET=y
>> >
>> > #
>> > # Networking options
>> > #
>> > # CONFIG_NETDEBUG is not set
>> > # CONFIG_PACKET is not set
>> > CONFIG_UNIX=y
>> > # CONFIG_NET_KEY is not set
>> > CONFIG_INET=y
>> > CONFIG_IP_MULTICAST=y
>> > # CONFIG_IP_ADVANCED_ROUTER is not set
>> > CONFIG_IP_FIB_HASH=y
>> > CONFIG_IP_PNP=y
>> > CONFIG_IP_PNP_DHCP=y
>> > # CONFIG_IP_PNP_BOOTP is not set
>> > # CONFIG_IP_PNP_RARP is not set
>> > # CONFIG_NET_IPIP is not set
>> > # CONFIG_NET_IPGRE is not set
>> > # CONFIG_IP_MROUTE is not set
>> > # CONFIG_ARPD is not set
>> > CONFIG_SYN_COOKIES=y
>> > # CONFIG_INET_AH is not set
>> > # CONFIG_INET_ESP is not set
>> > # CONFIG_INET_IPCOMP is not set
>> > # CONFIG_INET_XFRM_TUNNEL is not set
>> > # CONFIG_INET_TUNNEL is not set
>> > # CONFIG_INET_DIAG is not set
>> > # CONFIG_TCP_CONG_ADVANCED is not set
>> > CONFIG_TCP_CONG_BIC=y
>> > # CONFIG_IPV6 is not set
>> > # CONFIG_INET6_XFRM_TUNNEL is not set
>> > # CONFIG_INET6_TUNNEL is not set
>> > # CONFIG_NETFILTER is not set
>> >
>> > #
>> > # DCCP Configuration (EXPERIMENTAL)
>> > #
>> > # CONFIG_IP_DCCP is not set
>> >
>> > #
>> > # SCTP Configuration (EXPERIMENTAL)
>> > #
>> > # CONFIG_IP_SCTP is not set
>> >
>> > #
>> > # TIPC Configuration (EXPERIMENTAL)
>> > #
>> > # CONFIG_TIPC is not set
>> > # CONFIG_ATM is not set
>> > # CONFIG_BRIDGE is not set
>> > # CONFIG_VLAN_8021Q is not set
>> > # CONFIG_DECNET is not set
>> > # CONFIG_LLC2 is not set
>> > # CONFIG_IPX is not set
>> > # CONFIG_ATALK is not set
>> > # CONFIG_X25 is not set
>> > # CONFIG_LAPB is not set
>> > # CONFIG_NET_DIVERT is not set
>> > # CONFIG_ECONET is not set
>> > # CONFIG_WAN_ROUTER is not set
>> >
>> > #
>> > # QoS and/or fair queueing
>> > #
>> > # CONFIG_NET_SCHED is not set
>> >
>> > #
>> > # Network testing
>> > #
>> > # CONFIG_NET_PKTGEN is not set
>> > # CONFIG_HAMRADIO is not set
>> > # CONFIG_IRDA is not set
>> > # CONFIG_BT is not set
>> > # CONFIG_IEEE80211 is not set
>> >
>> > #
>> > # Device Drivers
>> > #
>> >
>> > #
>> > # Generic Driver Options
>> > #
>> > CONFIG_STANDALONE=y
>> > CONFIG_PREVENT_FIRMWARE_BUILD=y
>> > # CONFIG_FW_LOADER is not set
>> > # CONFIG_DEBUG_DRIVER is not set
>> >
>> > #
>> > # Connector - unified userspace <-> kernelspace linker
>> > #
>> > # CONFIG_CONNECTOR is not set
>> >
>> > #
>> > # Memory Technology Devices (MTD)
>> > #
>> > CONFIG_MTD=y
>> > # CONFIG_MTD_DEBUG is not set
>> > # CONFIG_MTD_CONCAT is not set
>> > CONFIG_MTD_PARTITIONS=y
>> > CONFIG_MTD_REDBOOT_PARTS=y
>> > CONFIG_MTD_REDBOOT_DIRECTORY_BLOCK=-1
>> > # CONFIG_MTD_REDBOOT_PARTS_UNALLOCATED is not set
>> > # CONFIG_MTD_REDBOOT_PARTS_READONLY is not set
>> > # CONFIG_MTD_CMDLINE_PARTS is not set
>> >
>> > #
>> > # User Modules And Translation Layers
>> > #
>> > CONFIG_MTD_CHAR=y
>> > CONFIG_MTD_BLOCK=y
>> > # CONFIG_FTL is not set
>> > # CONFIG_NFTL is not set
>> > # CONFIG_INFTL is not set
>> > # CONFIG_RFD_FTL is not set
>> >
>> > #
>> > # RAM/ROM/Flash chip drivers
>> > #
>> > CONFIG_MTD_CFI=y
>> > # CONFIG_MTD_JEDECPROBE is not set
>> > CONFIG_MTD_GEN_PROBE=y
>> > # CONFIG_MTD_CFI_ADV_OPTIONS is not set
>> > CONFIG_MTD_MAP_BANK_WIDTH_1=y
>> > CONFIG_MTD_MAP_BANK_WIDTH_2=y
>> > CONFIG_MTD_MAP_BANK_WIDTH_4=y
>> > # CONFIG_MTD_MAP_BANK_WIDTH_8 is not set
>> > # CONFIG_MTD_MAP_BANK_WIDTH_16 is not set
>> > # CONFIG_MTD_MAP_BANK_WIDTH_32 is not set
>> > CONFIG_MTD_CFI_I1=y
>> > CONFIG_MTD_CFI_I2=y
>> > # CONFIG_MTD_CFI_I4 is not set
>> > # CONFIG_MTD_CFI_I8 is not set
>> > # CONFIG_MTD_CFI_INTELEXT is not set
>> > CONFIG_MTD_CFI_AMDSTD=y
>> > # CONFIG_MTD_CFI_STAA is not set
>> > CONFIG_MTD_CFI_UTIL=y
>> > # CONFIG_MTD_RAM is not set
>> > # CONFIG_MTD_ROM is not set
>> > # CONFIG_MTD_ABSENT is not set
>> > # CONFIG_MTD_OBSOLETE_CHIPS is not set
>> >
>> > #
>> > # Mapping drivers for chip access
>> > #
>> > # CONFIG_MTD_COMPLEX_MAPPINGS is not set
>> > # CONFIG_MTD_PHYSMAP is not set
>> > # CONFIG_MTD_PLATRAM is not set
>> >
>> > #
>> > # Self-contained MTD device drivers
>> > #
>> > # CONFIG_MTD_SLRAM is not set
>> > # CONFIG_MTD_PHRAM is not set
>> > # CONFIG_MTD_MTDRAM is not set
>> > # CONFIG_MTD_BLOCK2MTD is not set
>> >
>> > #
>> > # Disk-On-Chip Device Drivers
>> > #
>> > # CONFIG_MTD_DOC2000 is not set
>> > # CONFIG_MTD_DOC2001 is not set
>> > # CONFIG_MTD_DOC2001PLUS is not set
>> >
>> > #
>> > # NAND Flash Device Drivers
>> > #
>> > # CONFIG_MTD_NAND is not set
>> >
>> > #
>> > # OneNAND Flash Device Drivers
>> > #
>> > # CONFIG_MTD_ONENAND is not set
>> >
>> > #
>> > # Parallel port support
>> > #
>> > # CONFIG_PARPORT is not set
>> >
>> > #
>> > # Plug and Play support
>> > #
>> >
>> > #
>> > # Block devices
>> > #
>> > # CONFIG_BLK_DEV_FD is not set
>> > # CONFIG_BLK_DEV_COW_COMMON is not set
>> > CONFIG_BLK_DEV_LOOP=y
>> > # CONFIG_BLK_DEV_CRYPTOLOOP is not set
>> > CONFIG_XILINX_SYSACE=y
>> > # CONFIG_BLK_DEV_NBD is not set
>> > # CONFIG_BLK_DEV_RAM is not set
>> > # CONFIG_BLK_DEV_INITRD is not set
>> > # CONFIG_CDROM_PKTCDVD is not set
>> > # CONFIG_ATA_OVER_ETH is not set
>> >
>> > #
>> > # ATA/ATAPI/MFM/RLL support
>> > #
>> > # CONFIG_IDE is not set
>> >
>> > #
>> > # SCSI device support
>> > #
>> > # CONFIG_RAID_ATTRS is not set
>> > # CONFIG_SCSI is not set
>> >
>> > #
>> > # Multi-device support (RAID and LVM)
>> > #
>> > # CONFIG_MD is not set
>> >
>> > #
>> > # Fusion MPT device support
>> > #
>> > # CONFIG_FUSION is not set
>> >
>> > #
>> > # IEEE 1394 (FireWire) support
>> > #
>> >
>> > #
>> > # I2O device support
>> > #
>> >
>> > #
>> > # Macintosh device drivers
>> > #
>> > # CONFIG_WINDFARM is not set
>> >
>> > #
>> > # Network device support
>> > #
>> > CONFIG_NETDEVICES=y
>> > # CONFIG_DUMMY is not set
>> > # CONFIG_BONDING is not set
>> > # CONFIG_EQUALIZER is not set
>> > # CONFIG_TUN is not set
>> >
>> > #
>> > # PHY device support
>> > #
>> >
>> > #
>> > # Ethernet (10 or 100Mbit)
>> > #
>> > # CONFIG_NET_ETHERNET is not set
>> > # CONFIG_IBM_EMAC is not set
>> >
>> > #
>> > # Ethernet (1000 Mbit)
>> > #
>> > CONFIG_XILINX_TEMAC=y
>> >
>> > #
>> > # Ethernet (10000 Mbit)
>> > #
>> >
>> > #
>> > # Token Ring devices
>> > #
>> >
>> > #
>> > # Wireless LAN (non-hamradio)
>> > #
>> > # CONFIG_NET_RADIO is not set
>> >
>> > #
>> > # Wan interfaces
>> > #
>> > # CONFIG_WAN is not set
>> > # CONFIG_PPP is not set
>> > # CONFIG_SLIP is not set
>> > # CONFIG_SHAPER is not set
>> > # CONFIG_NETCONSOLE is not set
>> > # CONFIG_NETPOLL is not set
>> > # CONFIG_NET_POLL_CONTROLLER is not set
>> >
>> > #
>> > # ISDN subsystem
>> > #
>> > # CONFIG_ISDN is not set
>> >
>> > #
>> > # Telephony Support
>> > #
>> > # CONFIG_PHONE is not set
>> >
>> > #
>> > # Input device support
>> > #
>> > CONFIG_INPUT=y
>> >
>> > #
>> > # Userland interfaces
>> > #
>> > CONFIG_INPUT_MOUSEDEV=y
>> > CONFIG_INPUT_MOUSEDEV_PSAUX=y
>> > CONFIG_INPUT_MOUSEDEV_SCREEN_X=1024
>> > CONFIG_INPUT_MOUSEDEV_SCREEN_Y=768
>> > # CONFIG_INPUT_JOYDEV is not set
>> > # CONFIG_INPUT_TSDEV is not set
>> > # CONFIG_INPUT_EVDEV is not set
>> > # CONFIG_INPUT_EVBUG is not set
>> >
>> > #
>> > # Input Device Drivers
>> > #
>> > # CONFIG_INPUT_KEYBOARD is not set
>> > # CONFIG_INPUT_MOUSE is not set
>> > # CONFIG_INPUT_JOYSTICK is not set
>> > # CONFIG_INPUT_TOUCHSCREEN is not set
>> > # CONFIG_INPUT_MISC is not set
>> >
>> > #
>> > # Hardware I/O ports
>> > #
>> > CONFIG_SERIO=y
>> > CONFIG_SERIO_I8042=y
>> > CONFIG_SERIO_SERPORT=y
>> > # CONFIG_SERIO_RAW is not set
>> > # CONFIG_GAMEPORT is not set
>> >
>> > #
>> > # Character devices
>> > #
>> > CONFIG_VT=y
>> > CONFIG_VT_CONSOLE=y
>> > CONFIG_HW_CONSOLE=y
>> > # CONFIG_SERIAL_NONSTANDARD is not set
>> >
>> > #
>> > # Serial drivers
>> > #
>> > CONFIG_SERIAL_8250=y
>> > CONFIG_SERIAL_8250_CONSOLE=y
>> > CONFIG_SERIAL_8250_NR_UARTS=4
>> > CONFIG_SERIAL_8250_RUNTIME_UARTS=4
>> > # CONFIG_SERIAL_8250_EXTENDED is not set
>> >
>> > #
>> > # Non-8250 serial port support
>> > #
>> > CONFIG_SERIAL_CORE=y
>> > CONFIG_SERIAL_CORE_CONSOLE=y
>> > CONFIG_UNIX98_PTYS=y
>> > CONFIG_LEGACY_PTYS=y
>> > CONFIG_LEGACY_PTY_COUNT=256
>> >
>> > #
>> > # IPMI
>> > #
>> > # CONFIG_IPMI_HANDLER is not set
>> >
>> > #
>> > # Watchdog Cards
>> > #
>> > # CONFIG_WATCHDOG is not set
>> > # CONFIG_NVRAM is not set
>> > # CONFIG_GEN_RTC is not set
>> > # CONFIG_DTLK is not set
>> > # CONFIG_R3964 is not set
>> >
>> > #
>> > # Ftape, the floppy tape device driver
>> > #
>> > # CONFIG_AGP is not set
>> > # CONFIG_RAW_DRIVER is not set
>> >
>> > #
>> > # TPM devices
>> > #
>> > # CONFIG_TCG_TPM is not set
>> > # CONFIG_TELCLOCK is not set
>> >
>> > #
>> > # I2C support
>> > #
>> > # CONFIG_I2C is not set
>> >
>> > #
>> > # SPI support
>> > #
>> > # CONFIG_SPI is not set
>> > # CONFIG_SPI_MASTER is not set
>> >
>> > #
>> > # Dallas's 1-wire bus
>> > #
>> > # CONFIG_W1 is not set
>> >
>> > #
>> > # Hardware Monitoring support
>> > #
>> > CONFIG_HWMON=y
>> > # CONFIG_HWMON_VID is not set
>> > # CONFIG_SENSORS_F71805F is not set
>> > # CONFIG_HWMON_DEBUG_CHIP is not set
>> >
>> > #
>> > # Misc devices
>> > #
>> >
>> > #
>> > # Multimedia devices
>> > #
>> > # CONFIG_VIDEO_DEV is not set
>> > CONFIG_VIDEO_V4L2=y
>> >
>> > #
>> > # Digital Video Broadcasting Devices
>> > #
>> > # CONFIG_DVB is not set
>> >
>> > #
>> > # Graphics support
>> > #
>> > # CONFIG_FB is not set
>> >
>> > #
>> > # Console display driver support
>> > #
>> > CONFIG_DUMMY_CONSOLE=y
>> >
>> > #
>> > # Sound
>> > #
>> > # CONFIG_SOUND is not set
>> >
>> > #
>> > # USB support
>> > #
>> > # CONFIG_USB_ARCH_HAS_HCD is not set
>> > # CONFIG_USB_ARCH_HAS_OHCI is not set
>> > # CONFIG_USB_ARCH_HAS_EHCI is not set
>> >
>> > #
>> > # NOTE: USB_STORAGE enables SCSI, and 'SCSI disk support'
>> > #
>> >
>> > #
>> > # USB Gadget Support
>> > #
>> > # CONFIG_USB_GADGET is not set
>> >
>> > #
>> > # MMC/SD Card support
>> > #
>> > # CONFIG_MMC is not set
>> >
>> > #
>> > # LED devices
>> > #
>> > # CONFIG_NEW_LEDS is not set
>> >
>> > #
>> > # LED drivers
>> > #
>> >
>> > #
>> > # LED Triggers
>> > #
>> >
>> > #
>> > # InfiniBand support
>> > #
>> >
>> > #
>> > # EDAC - error detection and reporting (RAS) (EXPERIMENTAL)
>> > #
>> >
>> > #
>> > # Real Time Clock
>> > #
>> > # CONFIG_RTC_CLASS is not set
>> > CONFIG_XILINX_EDK=y
>> >
>> > #
>> > # File systems
>> > #
>> > CONFIG_EXT2_FS=y
>> > CONFIG_EXT2_FS_XATTR=y
>> > CONFIG_EXT2_FS_POSIX_ACL=y
>> > CONFIG_EXT2_FS_SECURITY=y
>> > CONFIG_EXT2_FS_XIP=y
>> > CONFIG_FS_XIP=y
>> > # CONFIG_EXT3_FS is not set
>> > CONFIG_FS_MBCACHE=y
>> > # CONFIG_REISERFS_FS is not set
>> > # CONFIG_JFS_FS is not set
>> > CONFIG_FS_POSIX_ACL=y
>> > # CONFIG_XFS_FS is not set
>> > # CONFIG_OCFS2_FS is not set
>> > # CONFIG_MINIX_FS is not set
>> > # CONFIG_ROMFS_FS is not set
>> > CONFIG_INOTIFY=y
>> > # CONFIG_QUOTA is not set
>> > CONFIG_DNOTIFY=y
>> > CONFIG_AUTOFS_FS=y
>> > CONFIG_AUTOFS4_FS=y
>> > # CONFIG_FUSE_FS is not set
>> >
>> > #
>> > # CD-ROM/DVD Filesystems
>> > #
>> > # CONFIG_ISO9660_FS is not set
>> > # CONFIG_UDF_FS is not set
>> >
>> > #
>> > # DOS/FAT/NT Filesystems
>> > #
>> > # CONFIG_MSDOS_FS is not set
>> > # CONFIG_VFAT_FS is not set
>> > # CONFIG_NTFS_FS is not set
>> >
>> > #
>> > # Pseudo filesystems
>> > #
>> > CONFIG_PROC_FS=y
>> > CONFIG_PROC_KCORE=y
>> > CONFIG_SYSFS=y
>> > CONFIG_TMPFS=y
>> > # CONFIG_HUGETLB_PAGE is not set
>> > CONFIG_RAMFS=y
>> > # CONFIG_CONFIGFS_FS is not set
>> >
>> > #
>> > # Miscellaneous filesystems
>> > #
>> > # CONFIG_ADFS_FS is not set
>> > # CONFIG_AFFS_FS is not set
>> > # CONFIG_HFS_FS is not set
>> > # CONFIG_HFSPLUS_FS is not set
>> > # CONFIG_BEFS_FS is not set
>> > # CONFIG_BFS_FS is not set
>> > # CONFIG_EFS_FS is not set
>> > # CONFIG_JFFS_FS is not set
>> > # CONFIG_JFFS2_FS is not set
>> > # CONFIG_CRAMFS is not set
>> > # CONFIG_VXFS_FS is not set
>> > # CONFIG_HPFS_FS is not set
>> > # CONFIG_QNX4FS_FS is not set
>> > # CONFIG_SYSV_FS is not set
>> > # CONFIG_UFS_FS is not set
>> >
>> > #
>> > # Network File Systems
>> > #
>> > # CONFIG_NFS_FS is not set
>> > # CONFIG_NFSD is not set
>> > # CONFIG_SMB_FS is not set
>> > # CONFIG_CIFS is not set
>> > # CONFIG_NCP_FS is not set
>> > # CONFIG_CODA_FS is not set
>> > # CONFIG_AFS_FS is not set
>> > # CONFIG_9P_FS is not set
>> >
>> > #
>> > # Partition Types
>> > #
>> > # CONFIG_PARTITION_ADVANCED is not set
>> > CONFIG_MSDOS_PARTITION=y
>> >
>> > #
>> > # Native Language Support
>> > #
>> > CONFIG_NLS=y
>> > CONFIG_NLS_DEFAULT="iso8859-1"
>> > # CONFIG_NLS_CODEPAGE_437 is not set
>> > # CONFIG_NLS_CODEPAGE_737 is not set
>> > # CONFIG_NLS_CODEPAGE_775 is not set
>> > # CONFIG_NLS_CODEPAGE_850 is not set
>> > # CONFIG_NLS_CODEPAGE_852 is not set
>> > # CONFIG_NLS_CODEPAGE_855 is not set
>> > # CONFIG_NLS_CODEPAGE_857 is not set
>> > # CONFIG_NLS_CODEPAGE_860 is not set
>> > # CONFIG_NLS_CODEPAGE_861 is not set
>> > # CONFIG_NLS_CODEPAGE_862 is not set
>> > # CONFIG_NLS_CODEPAGE_863 is not set
>> > # CONFIG_NLS_CODEPAGE_864 is not set
>> > # CONFIG_NLS_CODEPAGE_865 is not set
>> > # CONFIG_NLS_CODEPAGE_866 is not set
>> > # CONFIG_NLS_CODEPAGE_869 is not set
>> > # CONFIG_NLS_CODEPAGE_936 is not set
>> > # CONFIG_NLS_CODEPAGE_950 is not set
>> > # CONFIG_NLS_CODEPAGE_932 is not set
>> > # CONFIG_NLS_CODEPAGE_949 is not set
>> > # CONFIG_NLS_CODEPAGE_874 is not set
>> > # CONFIG_NLS_ISO8859_8 is not set
>> > # CONFIG_NLS_CODEPAGE_1250 is not set
>> > # CONFIG_NLS_CODEPAGE_1251 is not set
>> > # CONFIG_NLS_ASCII is not set
>> > # CONFIG_NLS_ISO8859_1 is not set
>> > # CONFIG_NLS_ISO8859_2 is not set
>> > # CONFIG_NLS_ISO8859_3 is not set
>> > # CONFIG_NLS_ISO8859_4 is not set
>> > # CONFIG_NLS_ISO8859_5 is not set
>> > # CONFIG_NLS_ISO8859_6 is not set
>> > # CONFIG_NLS_ISO8859_7 is not set
>> > # CONFIG_NLS_ISO8859_9 is not set
>> > # CONFIG_NLS_ISO8859_13 is not set
>> > # CONFIG_NLS_ISO8859_14 is not set
>> > # CONFIG_NLS_ISO8859_15 is not set
>> > # CONFIG_NLS_KOI8_R is not set
>> > # CONFIG_NLS_KOI8_U is not set
>> > # CONFIG_NLS_UTF8 is not set
>> >
>> > #
>> > # IBM 40x options
>> > #
>> >
>> > #
>> > # Library routines
>> > #
>> > # CONFIG_CRC_CCITT is not set
>> > # CONFIG_CRC16 is not set
>> > CONFIG_CRC32=y
>> > # CONFIG_LIBCRC32C is not set
>> > # CONFIG_PROFILING is not set
>> >
>> > #
>> > # Kernel hacking
>> > #
>> > # CONFIG_PRINTK_TIME is not set
>> > # CONFIG_MAGIC_SYSRQ is not set
>> > CONFIG_DEBUG_KERNEL=y
>> > CONFIG_LOG_BUF_SHIFT=14
>> > CONFIG_DETECT_SOFTLOCKUP=y
>> > # CONFIG_SCHEDSTATS is not set
>> > # CONFIG_DEBUG_SLAB is not set
>> > # CONFIG_DEBUG_MUTEXES is not set
>> > # CONFIG_DEBUG_SPINLOCK is not set
>> > # CONFIG_DEBUG_SPINLOCK_SLEEP is not set
>> > # CONFIG_DEBUG_KOBJECT is not set
>> > CONFIG_DEBUG_INFO=y
>> > # CONFIG_DEBUG_FS is not set
>> > # CONFIG_DEBUG_VM is not set
>> > # CONFIG_UNWIND_INFO is not set
>> > CONFIG_FORCED_INLINING=y
>> > # CONFIG_RCU_TORTURE_TEST is not set
>> > # CONFIG_KGDB is not set
>> > # CONFIG_XMON is not set
>> > CONFIG_BDI_SWITCH=y
>> > # CONFIG_SERIAL_TEXT_DEBUG is not set
>> >
>> > #
>> > # Security options
>> > #
>> > # CONFIG_KEYS is not set
>> > # CONFIG_SECURITY is not set
>> >
>> > #
>> > # Cryptographic options
>> > #
>> > # CONFIG_CRYPTO is not set
>> >
>> > #
>> > # Hardware crypto devices
>> > #
>> >
> 
> _________________________________________________________________
> 享用世界上最大的电子邮件系统― MSN Hotmail。  http://www.hotmail.com 
>